<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.7.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html">dcfDelegate</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html">DCFDelegate</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::dcfDelegate::DCFDelegate Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html">alexaClientSDK::dcfDelegate::DCFDelegate</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html#ac1306257dad56e1d4cceb8a550f57049">addDCFObserver</a>(std::shared_ptr&lt; avsCommon::sdkInterfaces::DCFObserverInterface &gt; observer) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html">alexaClientSDK::dcfDelegate::DCFDelegate</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html#a0b93ff01f9c523a90223f8ff4761b699">create</a>(const std::shared_ptr&lt; avsCommon::sdkInterfaces::AuthDelegateInterface &gt; &amp;authDelegate, const std::shared_ptr&lt; avsCommon::sdkInterfaces::storage::MiscStorageInterface &gt; &amp;miscStorage, const std::shared_ptr&lt; avsCommon::utils::libcurlUtils::HttpPutInterface &gt; &amp;httpPut, const avsCommon::utils::configuration::ConfigurationNode &amp;configurationRoot, std::shared_ptr&lt; avsCommon::utils::DeviceInfo &gt; deviceInfo)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html">alexaClientSDK::dcfDelegate::DCFDelegate</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_delegate_interface.html#a4b9cafef84c24229071ad800be399c53">DCFPublishReturnCode</a> enum name</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_delegate_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DCFDelegateInterface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html#a8b6af749ad11c6356774ce14563d5eb0">doShutdown</a>() override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html">alexaClientSDK::dcfDelegate::DCFDelegate</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbce">Error</a> enum name</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::AuthObserverInterface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#af9352626109735aba40b5fb310913355">isShutdown</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a745cd4dc404db52f7d0afbf838454fac">name</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html#af713348ec79cb3419ba94400fc9044bf">onAuthStateChange</a>(AuthObserverInterface::State newState, AuthObserverInterface::Error error) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html">alexaClientSDK::dcfDelegate::DCFDelegate</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html#a2d2cf9415419372b76c4f773ed15b1a9">publishCapabilities</a>() override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html">alexaClientSDK::dcfDelegate::DCFDelegate</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html#ac2bcd1e4891408afa21fe0e394134cf1">publishCapabilitiesAsyncWithRetries</a>() override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html">alexaClientSDK::dcfDelegate::DCFDelegate</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html#ab519b7e5f15c35ae5c4a0858842b0716">registerCapability</a>(const std::shared_ptr&lt; avsCommon::sdkInterfaces::CapabilityConfigurationInterface &gt; &amp;capabilitiesProvider) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html">alexaClientSDK::dcfDelegate::DCFDelegate</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html#abec18bcce5fda131efb6e2fff5507e34">removeDCFObserver</a>(std::shared_ptr&lt; avsCommon::sdkInterfaces::DCFObserverInterface &gt; observer) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html">alexaClientSDK::dcfDelegate::DCFDelegate</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#aae7174ed932ae1413460255238c4422b">RequiresShutdown</a>(const std::string &amp;name)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a350a147e52eb3ad3c1326e6639861066">shutdown</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a62a72a6ac191b845c9a379a7d4ad56f4">State</a> enum name</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::AuthObserverInterface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#adaaa8ea9247637f727eb20a16f09d80e">~AuthObserverInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::AuthObserverInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_delegate_interface.html#a2530eb5035dd616de228bba04ee0398f">~DCFDelegateInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_delegate_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DCFDelegateInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a649b80d77e4e6f66e218ee3bfc71823b">~RequiresShutdown</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.7.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
